#include <iostream>
#include <cmath>
#define end '\n'
using namespace std;

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    long long k;
    cin >> k;

    for (int h = 1; h <= 2025; ++ h)
    {
        for (int w = h; w <= 2025; ++ w)
        {
            long long curr = 1ll * h * (h - 1) * w * (w - 1) / 4;
            if (curr == k)
            {
                cout << h << " " << w << endl;
                for (int h0 = 1; h0 <= h; ++ h0)
                {
                    for (int w0 = 1; w0 <= w; ++ w0)
                    {
                        cout << "#";
                    }
                    cout << endl;
                }
                return 0;
            }

            if (h == 1 or w == 1) continue;

            curr += 1ll * (h - 1) * (w - 1) + (w - 1) + (h - 1);
            
            if (curr < k) continue;
            for (int h1 = 1; h1 <= h; ++ h1)
            {
                long long t = curr + 1ll * (h1 * h1 - h1 * h - h1) * (w - 1);
                long long p = k - t;
                if (p % (h - 1) == 0)
                {
                    p /= (h - 1);
                    long long D = (w + 1) * (w + 1) + 4 * p;
                    long long sqD = sqrt(D);
                    if (sqD * sqD == D)
                    {
                        long long w1 = w + 1 - sqD;
                        if (w1 % 2 == 0) w1 /= 2;
                        if (1 <= w1 and w1 <= w)
                        {
                            cout << h << " " << w << endl;
                            for (int h0 = 1; h0 <= h; ++ h0)
                            {
                                for (int w0 = 1; w0 <= w; ++ w0)
                                {
                                    if (h0 == h1 and w0 == w1) cout << ".";
                                    else cout << "#";
                                }
                                cout << endl;
                            }
                            return 0;
                        }

                        w1 = w + 1 + sqD;
                        if (w1 % 2 == 0) w1 /= 2;
                        if (1 <= w1 and w1 <= w)
                        {
                            cout << h << " " << w << endl;
                            for (int h0 = 1; h0 <= h; ++ h0)
                            {
                                for (int w0 = 1; w0 <= w; ++ w0)
                                {
                                    if (h0 == h1 and w0 == w1) cout << ".";
                                    else cout << "#";
                                }
                                cout << endl;
                            }
                            return 0;
                        }
                    }

                    sqD++;
                    if (sqD * sqD == D)
                    {
                        long long w1 = w + 1 - sqD;
                        if (w1 % 2 == 0) w1 /= 2;
                        if (1 <= w1 and w1 <= w)
                        {
                            cout << h << " " << w << endl;
                            for (int h0 = 1; h0 <= h; ++ h0)
                            {
                                for (int w0 = 1; w0 <= w; ++ w0)
                                {
                                    if (h0 == h1 and w0 == w1) cout << ".";
                                    else cout << "#";
                                }
                                cout << endl;
                            }
                            return 0;
                        }

                        w1 = w + 1 + sqD;
                        if (w1 % 2 == 0) w1 /= 2;
                        if (1 <= w1 and w1 <= w)
                        {
                            cout << h << " " << w << endl;
                            for (int h0 = 1; h0 <= h; ++ h0)
                            {
                                for (int w0 = 1; w0 <= w; ++ w0)
                                {
                                    if (h0 == h1 and w0 == w1) cout << ".";
                                    else cout << "#";
                                }
                                cout << endl;
                            }
                            return 0;
                        }
                    }
                }
            }
        }
    }

    return 0;
}